#pragma once

#include "CivHydDataType.h"
#include "CivGraphList.h"

// 声明模板图类型
class CivGraphJunction;
class CivGraphEdage;
class CivInpDbHelper;

class CivGraphFactory
{
public:
	CivGraphFactory();

	/**
	*@brief 根据水力模型管网数据创建有向图
	*@param dbConn 数据库连接
	*@param graph 有向图
	*/
	bool  initGraph(CivInpDbHelper* dbConn, ALGraph<CivGraphJunction, CivGraphEdage>* graph);
};
